Last Comment Bug 774801 - Disable the Downloads Panel in Firefox 16
: Disable the Downloads Panel in Firefox 16
Status: VERIFIED FIXED
:
Product: Firefox
Classification: Client Software
Component: Downloads Panel (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Firefox 16
Assigned To: Marco Bonardo [::mak]
:
:
Mentors:
Depends on:
Blocks: ReleaseDownloadsPane
  Show dependency treegraph
 
Reported: 2012-07-17 12:00 PDT by :Paolo Amadini
Modified: 2012-10-05 07:54 PDT (History)
4 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
verified


Attachments
Disable the Downloads Panel in Firefox 16. (1.23 KB, patch)
2012-07-17 12:03 PDT, :Paolo Amadini
gavin.sharp: review+
gavin.sharp: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description :Paolo Amadini 2012-07-17 12:00:45 PDT
We should ensure the preference to disable the Downloads Panel is set.
Comment 1 :Paolo Amadini 2012-07-17 12:03:51 PDT
Created attachment 643068 [details] [diff] [review]
Disable the Downloads Panel in Firefox 16.
Comment 2 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-07-19 18:36:13 PDT
Comment on attachment 643068 [details] [diff] [review]
Disable the Downloads Panel in Firefox 16.

[Triage Comment]
approved for Aurora 16
Comment 3 :Paolo Amadini 2012-07-23 01:39:05 PDT
It appears the preference switch hasn't landed on Aurora yet and the first release
was published with the panel enabled (which is not ready for Aurora yet). Sorry if
I didn't track the status of this change correctly.

I'm having trouble with cloning mozilla-aurora, I'd appreciate if the push for the
next build can be done by someone who has a local mozilla-aurora clone already.

On a related topic, how can I mark a bug that should get attention to be addressed
before the next build, effectively blocking go-to-build until fixed or re-triaged?
I found only the following document on tracking flags, but it doesn't seem to help
much in this case.

https://blog.mozilla.org/channels/2011/05/04/triage-for-channels/
Comment 4 Ryan VanderMeulen [:RyanVM] 2012-07-23 17:07:09 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/77e31940e4dc
Comment 5 Alex Keybl [:akeybl] 2012-08-27 13:08:09 PDT
(In reply to Paolo Amadini [:paolo] from comment #3)
> On a related topic, how can I mark a bug that should get attention to be
> addressed
> before the next build, effectively blocking go-to-build until fixed or
> re-triaged?
> I found only the following document on tracking flags, but it doesn't seem
> to help
> much in this case.

Either note the fact that you feel it should block the first Aurora build when requesting tracking (and why), or send email to release-mgmt@mozilla.com/release-drivers@mozilla.org.

If this should again occur for FF17 on Aurora, please email us. Thanks!
Comment 6 Simona B [:simonab ] 2012-10-05 07:31:36 PDT
Verified that the Downloads Panel is disabled per default on Firefox 16 beta 6:
Mozilla/5.0 (Windows NT 6.1; rv:16.0) Gecko/20100101 Firefox/16.0

Setting status of this bug to VERIFIED FIXED.

Note You need to log in before you can comment on or make changes to this bug.